[L012]Literature Citation

post
https://connect.patsnap.com/literature/citation
Try in Sandbox

Receive literature citation data by paper_id or doi.

One of the two parameters, paper_id and doi, is required; if both are passed, paper_id is preferred.The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
doi
string10.1016/j.bpj.2024.07.030
DOI (only a single doi issupported)
page_number
integer<int32>1
Current page number
paper_id
string00001b6d-2cfa-411a-ab41-8a05fd675d46,00001756-243f-4738-a288-282987105915
paper id

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
doi
string10.3390/s20030734
DOI
paper_id
string1f0f61d1-0d76-3a29-a677-7f0cf7a332f7,00001b6d-2cfa-411a-ab41-8a05fd675d46
Paper ID
reference_no
integer<int32>20
Number of References
np_citation_no
integer<int32>2
Number of Non-patent Citations
reference_data
arrayPlease check the form: LiteratureReference
Reference Data
paper_id
string4590883d-3d89-35ef-b662-cd820dc1427c
Paper ID
sequence
integer<int32>1
Sequence
citation_text
stringA review of infectious bovine rhinotracheitis, shipping fever pneumonia and viral-bacterial synergism in respiratory disease of cattle.W D Yates.Can J Comp Med.1982 Jul;46(3):225-63.
Citation Text
np_citation_data
arrayPlease check the form: LiteratureNPCitation
Non-patent Citation data
paper_id
string4b656503-a352-4815-93ba-76a7cb967d25
Paper ID
citation_text
stringA review of infectious bovine rhinotracheitis, shipping fever pneumonia and viral-bacterial synergism in respiratory disease of cattle.W D Yates.Can J Comp Med.1982 Jul;46(3):225-63.
Citation Text
patent_citation_no
integer<int32>1
Number of Patent Citations
patent_citation_data
arrayPlease check the form: LiteraturePatentCitation
Patent Citation Data
pn
stringCN112833870A
Patent Number
apdt
integer<int32>20201230
Application Date
apno
stringCN202011610975.8
Application Number
pbdt
integer<int32>20201230
Publication Date
title
string核磁共振陀螺中抑制碱金属原子极化磁场影响的有效方法
Title
inventor
array[ "张燚", "汪之国", "李佳佳" ]
Inventor
patent_id
stringfd509ad5-7da1-464f-9b32-2858be00f2e9
Patent ID
current_assignee
array[ "中国人民解放军国防科技大学" ]
Current Assignee
original_assignee
array[ "中国人民解放军国防科技大学" ]
Original Assignee
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "doi": "10.3390/s20030734",
      "paper_id": "1f0f61d1-0d76-3a29-a677-7f0cf7a332f7,00001b6d-2cfa-411a-ab41-8a05fd675d46",
      "reference_no": 20,
      "np_citation_no": 2,
      "reference_data": [
        {
          "paper_id": "4590883d-3d89-35ef-b662-cd820dc1427c",
          "sequence": 1,
          "citation_text": "A review of infectious bovine rhinotracheitis, shipping fever pneumonia and viral-bacterial synergism in respiratory disease of cattle.W D Yates.Can J Comp Med.1982 Jul;46(3):225-63."
        }
      ],
      "np_citation_data": [
        {
          "paper_id": "4b656503-a352-4815-93ba-76a7cb967d25",
          "citation_text": "A review of infectious bovine rhinotracheitis, shipping fever pneumonia and viral-bacterial synergism in respiratory disease of cattle.W D Yates.Can J Comp Med.1982 Jul;46(3):225-63."
        }
      ],
      "patent_citation_no": 1,
      "patent_citation_data": [
        {
          "pn": "CN112833870A",
          "apdt": 20201230,
          "apno": "CN202011610975.8",
          "pbdt": 20201230,
          "title": "核磁共振陀螺中抑制碱金属原子极化磁场影响的有效方法",
          "inventor": [
            "张燚",
            "汪之国",
            "李佳佳"
          ],
          "patent_id": "fd509ad5-7da1-464f-9b32-2858be00f2e9",
          "current_assignee": [
            "中国人民解放军国防科技大学"
          ],
          "original_assignee": [
            "中国人民解放军国防科技大学"
          ]
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms